search cancel

Client Automation - error while loading shared libraries: libcai18n.so - wrong ELF class: ELFCLASS32

book

Article ID: 203062

calendar_today

Updated On:

Products

CA Client Automation - Asset Management CA Client Automation - IT Client Manager CA Client Automation CA Client Automation - Software Delivery CA Client Automation - Remote Control

Issue/Introduction

After Installation of Agent 64 bits on Linux, caf could not start and following error appears :
Starting CA ITCM...
/opt/CA/DSM/caf/bin/cfURI: error while loading shared libraries: libcai18n.so:     
/opt/CA/DSM/caf/bin/caf: error while loading shared libraries: libcai18n.so: wrong ELF class: ELFCLASS32 
 

Environment

CA Client Automation 14.0 SP2/SP3 on Linux

Resolution

Version 11.0.7-1 of CAI18N was already installed on the machine.
This is the 32 bits version of the module.
On 64 bits agent, CAI18N has version 11.0.7
 
It is not installed as 11.0.7 < 11.0.7-1
 
Remove installation of 32bits agent with thes commands :
 
lsm -e ca-dsm
cd /opt
rm -Rf CA
 
and do again the installation